package com.hikapro.backpack.model;

import java.util.List;

import com.hikapro.backpack.model.dao.Db;
import com.hikapro.backpack.model.entities.Category;
import com.hikapro.backpack.model.entities.Item;
import com.hikapro.backpack.model.entities.Set;

import com.hikapro.backpack.model.entities.SharingPicture;
import com.hikapro.backpack.model.entities.Timestamp;
import com.hikapro.backpack.model.entities.Updates;
import retrofit2.Call;
import retrofit2.http.GET;
import retrofit2.http.Query;

/**
 * Created by tariel on 19/04/16.
 */
public interface Api {

    @GET("api/v1/backpack/items")
    Call<List<Item>> getItems(@Query("locale") String locale);

    @GET("api/v1/backpack/item_categories")
    Call<List<Category>> getItemCategories(@Query("locale") String locale);

    @GET("api/v1/backpack/sets")
    Call<List<Set>> getSets(@Query("locale") String locale);

    @GET("api/v1/backpack/updates/timestamp")
    Call<Timestamp> getTimestamp();

    @GET("api/v1/backpack/updates/all")
    Call<Updates> getUpdates(@Query("timestamp") long timestamp);

    @GET("api/v1/backpack/sharing_photos")
    Call<List<SharingPicture>> getSharingPicture();
}
